<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".account.UserProfile">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:id="@+id/header"
        android:background="@drawable/top_toolbar"
        android:elevation="20dp">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="horizontal">
            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_marginStart="15dp"
                android:layout_gravity="center"
                android:id="@+id/ivBack"
                android:scaleType="fitCenter"
                android:src="@drawable/left_arrow3"
                app:tint="@color/White" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginStart="10dp"
                android:textSize="16sp"
                android:textColor="@color/White"
                android:fontFamily="@font/lato_regular"
                android:text="@string/informasi_profil"/>
        </LinearLayout>
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/relAtas"
        android:layout_width="match_parent"
        android:layout_height="250dp"
        android:background="@color/calmWhite">

        <RelativeLayout
            android:id="@+id/relImage"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="90dp"
            android:gravity="center">

            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/profile_image"
                android:layout_width="120dp"
                android:layout_height="120dp"
                android:src="@drawable/man_masker"
                app:civ_border_color="@color/Yellow"
                app:civ_border_width="2dp" />
        </RelativeLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/relButton"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <RelativeLayout
                android:id="@+id/relGambar"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity=""
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent">

                <com.getbase.floatingactionbutton.FloatingActionsMenu
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="8dp"
                    app:fab_addButtonColorNormal="@color/CalmDark"
                    app:fab_addButtonColorPressed="@color/Dark"
                    app:fab_addButtonPlusIconColor="@color/White"
                    app:fab_addButtonSize="mini"
                    app:fab_labelStyle="@style/customFab">

                    <com.getbase.floatingactionbutton.FloatingActionButton
                        android:id="@+id/addCamProfile"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        app:fab_colorNormal="@color/White"
                        app:fab_colorPressed="@color/Gray1"
                        app:fab_icon="@drawable/ic_camera"
                        app:fab_size="mini" />

                    <com.getbase.floatingactionbutton.FloatingActionButton
                        android:id="@+id/addGalleryProfile"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        app:fab_colorNormal="@color/YellowLight"
                        app:fab_colorPressed="@color/Yellow"
                        app:fab_icon="@drawable/ic_image_file"
                        app:fab_size="mini" />
                </com.getbase.floatingactionbutton.FloatingActionsMenu>
            </RelativeLayout>
        </androidx.constraintlayout.widget.ConstraintLayout>

        <FrameLayout
            android:id="@+id/frameLayout"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_below="@id/relButton">

            <TextView
                android:id="@+id/progressTxt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text=""
                android:textSize="14sp" />

            <ProgressBar
                android:id="@+id/progressBar_profil"
                style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/progressTxt"
                android:layout_marginStart="8dp"
                android:layout_marginTop="15dp"
                android:layout_marginEnd="8dp"
                android:indeterminate="true"
                android:max="100"
                android:progressTint="#eb7200"
                android:visibility="invisible" />
        </FrameLayout>
    </RelativeLayout>

    <ScrollView
        android:layout_below="@id/relAtas"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/White"
        android:orientation="vertical">
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:id="@+id/lay1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-light"
                        android:text="@string/nama_lengkap"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/nameProfile"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:padding="15dp"
                            android:textColor="@color/CalmBlack"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/textView4"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginEnd="5dp"
                            android:fontFamily="@font/lato_regular"
                            android:gravity="center"
                            android:text="@string/ubah"
                            android:textColor="@color/Blue"
                            android:textSize="12sp"
                            android:textStyle="bold"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toStartOf="@+id/imageView4"
                            app:layout_constraintTop_toTopOf="parent" />

                        <ImageView
                            android:id="@+id/imageView4"
                            android:layout_width="18dp"
                            android:layout_height="18dp"
                            android:src="@drawable/ic_baseline_arrow_forward_ios_24"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            app:tint="@color/CalmDark" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/Gray1"/>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-light"
                        android:text="@string/tanggal_lahir"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/tvDOB"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:hint="@string/tanggal_lahir"
                            android:padding="15dp"
                            android:text="@string/masukkan_tanggal"
                            android:textColor="@color/CalmBlack"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/Gray1"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-light"
                        android:text="@string/jenis_kelamin"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/tvGender"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:hint="@string/jenis_kelamin"
                            android:padding="15dp"
                            android:text="@string/pilih_jenis_kelamin"
                            android:textColor="@color/CalmBlack"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>


                </LinearLayout>
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="5dp"
                android:background="@color/Gray1"
                android:layout_below="@id/lay1"
                android:id="@+id/separator1"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/lay1"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                android:layout_marginTop="10dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-light"
                        android:text="ID Pegawai"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/noPegawai"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:padding="15dp"
                            android:textColor="@color/CalmDark"
                            android:textStyle="bold"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/Gray1"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-light"
                        android:text="Jabatan"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/jabatanProfile"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:padding="15dp"
                            android:textColor="@color/CalmBlack"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/Gray1"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-light"
                        android:text="@string/perusahaan"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/lokasiProfile"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:maxLength="100"
                            android:padding="15dp"
                            android:textColor="@color/CalmBlack"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/Gray1"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-light"
                        android:text="@string/email"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/emailProfile"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:hint="@string/email"
                            android:maxLength="30"
                            android:padding="15dp"
                            android:textColor="@color/CalmBlack"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/Gray1"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-light"
                        android:text="@string/nomor_handphone"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/hpProfile"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:hint="@string/nomor_handphone"
                            android:maxLength="30"
                            android:padding="15dp"
                            android:textColor="@color/CalmBlack"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tvPhone"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginEnd="5dp"
                            android:fontFamily="@font/lato_regular"
                            android:textStyle="bold"
                            android:gravity="center"
                            android:text="@string/ubah"
                            android:textColor="@color/Blue"
                            android:textSize="12sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toStartOf="@+id/imageView10"
                            app:layout_constraintTop_toTopOf="parent" />

                        <ImageView
                            android:id="@+id/imageView10"
                            android:layout_width="18dp"
                            android:layout_height="18dp"
                            android:src="@drawable/ic_baseline_arrow_forward_ios_24"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            app:tint="@color/CalmDark" />
                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/Gray1"/>
                </LinearLayout>
            </LinearLayout>
        </RelativeLayout>
    </ScrollView>

</RelativeLayout>
